Anope IRC Services

Please login or register.

Login with username, password and session length
Advanced search  

News:

Pages: [1]   Go Down

Author Topic: CentOS users - mysql support  (Read 5435 times)

0 Members and 1 Guest are viewing this topic.

katsklaw

  • Guest
CentOS users - mysql support
« on: September 02, 2007, 02:46:27 AM »

if you have sql installed and during ./Config Anope can't find MySQL, then you need the mysql-devel package found at: http://linuxsoft.cern.ch/cern/slc43/i386/yum/updates/repodata/repoview/mysql-devel-0-4.1.20-2.RHEL4.1.html
Logged

UnDeRGoD

  • Anope User
  • Offline Offline
  • Posts: 13
Re: CentOS users - mysql support
« Reply #1 on: August 29, 2008, 07:55:57 PM »

Yes, i had the problem unfortunately but with the mysql-devel, Anope can find MySQL  8)
Logged

lidelf

  • Anope User
  • Offline Offline
  • Posts: 2
Re: CentOS users - mysql support
« Reply #2 on: December 28, 2008, 04:14:39 PM »

i`ve got the same problem on my server,

after i downloaded the rpm file to the root account i`ve try it to install it whith YUM no result here

is there a other possible to install whith commands?

Hope hearing soon

greetings,
LiDelf
Logged

Charles Kingsley

  • Contributor
  • *
  • Offline Offline
  • Posts: 1405
Re: CentOS users - mysql support
« Reply #3 on: December 28, 2008, 05:34:28 PM »

Have you tried yum install mysql-devel ?
Logged

lidelf

  • Anope User
  • Offline Offline
  • Posts: 2
Re: CentOS users - mysql support
« Reply #4 on: December 28, 2008, 07:00:58 PM »

yum install mysql-devel-4.1.20-2.RHEL4.1.i386.rpm

this is the error what i get,

Loading "fastestmirror" plugin
Loading mirror speeds from cached hostfile
 * base: mirror.leaseweb.com
 * updates: mirror.leaseweb.com
 * addons: mirror.leaseweb.com
 * extras: mirror.leaseweb.com
Setting up Install Process
Parsing package install arguments
Examining mysql-devel-4.1.20-2.RHEL4.1.i386.rpm: mysql-devel - 4.1.20-2.RHEL4.1.i386
Marking mysql-devel-4.1.20-2.RHEL4.1.i386.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package mysql-devel.i386 0:4.1.20-2.RHEL4.1 set to be updated
--> Processing Dependency: mysql = 4.1.20-2.RHEL4.1 for package: mysql-devel
--> Processing Dependency: openssl-devel for package: mysql-devel
--> Running transaction check
---> Package mysql-devel.i386 0:4.1.20-2.RHEL4.1 set to be updated
--> Processing Dependency: mysql = 4.1.20-2.RHEL4.1 for package: mysql-devel
---> Package openssl-devel.i386 0:0.9.8b-10.el5 set to be updated
--> Processing Dependency: krb5-devel for package: openssl-devel
--> Running transaction check
---> Package mysql-devel.i386 0:4.1.20-2.RHEL4.1 set to be updated
--> Processing Dependency: mysql = 4.1.20-2.RHEL4.1 for package: mysql-devel
---> Package krb5-devel.i386 0:1.6.1-25.el5_2.1 set to be updated
--> Processing Dependency: keyutils-libs-devel for package: krb5-devel
--> Processing Dependency: libselinux-devel for package: krb5-devel
--> Processing Dependency: e2fsprogs-devel for package: krb5-devel
--> Running transaction check
---> Package mysql-devel.i386 0:4.1.20-2.RHEL4.1 set to be updated
--> Processing Dependency: mysql = 4.1.20-2.RHEL4.1 for package: mysql-devel
---> Package e2fsprogs-devel.i386 0:1.39-15.el5 set to be updated
---> Package libselinux-devel.i386 0:1.33.4-5.el5 set to be updated
--> Processing Dependency: libsepol-devel >= 1.15.2-1 for package: libselinux-devel
---> Package keyutils-libs-devel.i386 0:1.2-1.el5 set to be updated
--> Running transaction check
---> Package mysql-devel.i386 0:4.1.20-2.RHEL4.1 set to be updated
--> Processing Dependency: mysql = 4.1.20-2.RHEL4.1 for package: mysql-devel
---> Package libsepol-devel.i386 0:1.15.2-1.el5 set to be updated
--> Finished Dependency Resolution
Error: Missing Dependency: mysql = 4.1.20-2.RHEL4.1 is needed by package mysql-devel
« Last Edit: December 29, 2008, 06:18:29 AM by lidelf »
Logged

Jan Milants

  • Team
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 1372
Re: CentOS users - mysql support
« Reply #5 on: December 29, 2008, 11:13:07 AM »

that s why i think aptitude >>> yum... no dependency mess

but really, how to install mysql-devel on an OS is a bit out of the scope of this forum.. with some luck someone on here might know, but you stand a better chance of finding a solution on a helpdesk/forum specifically for CentOS.
Logged
If you like me donate coins to 1FBmZVT4J8WAUMHKqpWhgNVj3XXnRN1cCk :)

Charles Kingsley

  • Contributor
  • *
  • Offline Offline
  • Posts: 1405
Re: CentOS users - mysql support
« Reply #6 on: December 29, 2008, 05:59:24 PM »

Try exactly what I put, yum install mysql-devel
Logged

Master

  • Anope User
  • Offline Offline
  • Posts: 56
Re: CentOS users - mysql support
« Reply #7 on: December 30, 2008, 05:03:52 AM »

FYI, you don't include the full thing...just mysql-devel...

If Yum refuses to get the dependency, try: yum install mysql mysql-devel
Logged
Always believe Murphy's Law. If you don't, watch what happens.
Pages: [1]   Go Up